import { axios } from '@/utils/request'

//  销售退货详情 列表  分页
export const salesReturnDetailList = (params) => {
  const url = `/salesReturnDetail/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  销售退货详情 保存
export const salesReturnDetailSave = (params) => {
  return axios({
    url: '/salesReturnDetail/save',
    data: params,
    method: 'post'
  })
}
//  销售退货详情 删除
export const salesReturnDetailDel = (params) => {
  return axios({
    url: `/salesReturnDetail/delete/${params.id}`,
    data: params,
    method: 'post'
  })
}
