import { axios } from '@/utils/request'

//  产品品牌列表  分页
export const dealerProductBrandList = (params) => {
  const url = `/dealerProductBrand/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

//  产品品牌列表  无分页
export const dealerProductBrandQuery = (params) => {
  const url = `/dealerProductBrand/queryList`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 新增/编辑产品品牌
export const dealerProductBrandSave = params => {
  return axios({
    url: '/dealerProductBrand/save',
    data: params,
    method: 'post'
  })
}

// 产品品牌 更改状态
export const dealerProductBrandUpdate = params => {
  return axios({
    url: '/dealerProductBrand/updateStatus',
    data: params,
    method: 'post'
  })
}
