import { axios } from '@/utils/request'

//  连锁库存总表  列表  有分页
export const reportStockList = (params) => {
  const url = `/report/reportStock/reportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  连锁库存总表  列表  合计
export const reportStockCount = (params) => {
  return axios({
    url: '/report/reportStock/reportCount',
    data: params,
    method: 'post'
  })
}
//  连锁库存总表  详情  列表  有分页
export const reportStockDetailList = (params) => {
  const url = `/report/reportStock/reportDetailPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  连锁库存总表  详情  合计
export const reportStockDetailCount = (params) => {
  return axios({
    url: '/report/reportStock/reportDetailCount',
    data: params,
    method: 'post'
  })
}
//  库存总入报表
export const reportStockPutList = (params) => {
  return axios({
    url: '/report/reportStockPut/report',
    data: params,
    method: 'post'
  })
}
//  库存总出报表
export const reportStockOutList = (params) => {
  return axios({
    url: '/report/reportStockOut/report',
    data: params,
    method: 'post'
  })
}
