import { axios } from '@/utils/request'

//  库存预警 列表  分页
export const stockWarnList = (params) => {
  const url = `/stockWarn/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  库存预警 保存
export const stockWarnSaveBatch = (params) => {
  return axios({
    url: '/stockWarn/saveBatch',
    data: params,
    method: 'post'
  })
}
//  库存预警 导出
export const stockWarnExport = (params) => {
  return axios({
    url: '/stockWarn/export',
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
